language: python
stages:
  - name: test
  - name: deploy
    if: tag is present

cache: pip
before_script:
  - curl -L https://codeclimate.com/downloads/test-reporter/test-reporter-latest-linux-amd64 > ./cc-test-reporter
  - chmod +x ./cc-test-reporter
  - pwd
  - ./cc-test-reporter before-build
  - pip install -r requirements.txt
  - pip install -U pytest-xdist pytest-cov pytest pytest-forked pluggy py mock
  - python setup.py install
jobs:
  include:
    - stage: test
    - stage: test
      python: "3.8"
      script:
        - pytest -n 8 --cov=satella
      after_script:
        - coverage xml
        - ./cc-test-reporter after-build -t coverage.py --exit-code $TRAVIS_TEST_RESULT
    - stage: test
      python: "pypy3.5"
      script:
        - pytest -n 8


